
CoCoA-5 - Slug #99

Function "insert": obsolescent

07 Mar 2012 15:25 - John Abbott

Status: Closed Start date: 07 Mar 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-4 function: obsolete Estimated time: 2.00 hours

Target version: CoCoA-5.1.1 Seoul14 Spent time: 0.50 hour

Description

As far as I can tell Insert is never called by any function in the standard CoCoA packages.

I would like to make the function obsolescent.  If that is not acceptable I wuld like to add some comments on the manual page that

use of Insert is best avoided (for reasons of efficiency of for no other), and mention using either the function Append or simply

assigning to an entry in the list as better alternatives.

C5 differs slightly from C4.  In C4 it is possible to Insert an element after the last entry in a list (by specifying position 1+Len(L)); in C5

it is not currently possible because specifying position 1+Len(L) gives a run-time "out of range" error.  JAA regards this as a bug in

the C5 implementation (at low level) -- it may easy be worked around by modifying the defn of Insert in the file

BackwardCompatible.cpkg5

History

#1 - 31 May 2012 18:09 - Anna Maria Bigatti

- Category set to CoCoA-4 function: obsolete

#2 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#3 - 07 Apr 2014 18:08 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#4 - 28 Jul 2014 17:12 - Anna Maria Bigatti

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 90

Documented as obsolescent

#5 - 27 Aug 2014 18:17 - Anna Maria Bigatti

- Subject changed from Insert function to Function "insert": obsolescent

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
